## Server Details

Following are the different services/servers needed for the projects. These could be on different machines(one server per service) or together. That is up for discussion.

1. #### Raw Data Store
* Service: MongoDB
* Purpose: Store raw aggregated from external source or derived from our logic
* `Specs`:
    * RAM: 8 GB
    * Cores: 2
    * HDD: 100 GB

2. #### Application Data 
* Service: ElasticSearch
* Purpose: Index data using ontology and make it usable by backend
* Specs: (Might need modification on monitoring, later)
    * RAM: 16 GB
    * Cores: 4
    * HDD: 200 GB

3. #### App Backend 
* Service: Flask/Django
* Purpose: Expose API for frontend or for external use
*  `Specs`:
    * RAM: 8 GB
    * Cores: 2
    * HDD: 100 GB

4. #### Data Writer 
    This could be the same as the raw data store or a HPC system. Better the machine, faster the database update
Purpose: This writes data to Raw Data(MongoDB)
